ForoSUSE

ForoSUSE (http://www.forosuse.org/forosuse/index.php)
-   Software (http://www.forosuse.org/forosuse/forumdisplay.php?f=3)
-   -   Kernel custom + drivers propietarios (ATI) (http://www.forosuse.org/forosuse/showthread.php?t=26470)

sheosi 23-jun-2011 02:33

Kernel custom + drivers propietarios (ATI)
 
Buenas, queria compilar un kernel y hacerlo a mi medida pero resulta que los drivers de ati al hacerlo dejan de funcionar ( a pesar de que la configuración es la misma, por que de hecho no he tocado nada), hay alguna forma de hacerlo funcionar? Lo mire en la archwiki pero el procedimiento que dice es de archlinux, supongo que en opensuse será algo parecido. Alguien sabe que puedo hacer?

arag 23-jun-2011 04:15

probaste reinstalar el driver?

sheosi 23-jun-2011 11:09

Eso supongo que funcionaría en caso de que lo hubiera instalado compilado directamente, pero lo instale con el one-click installer, y como cada modulo está preparado para un kernel no creo que reinstalandolo de esa forma fuera a cambiar algo.

davmont 23-jun-2011 14:16

en teoria las últimas versiones de los drivers ya se auto-compilaban e instalaban al reiniciar...

comprueba los mensajes de inicio y de dmesg a ver si te comenta algo...

un saludo :adios:

sheosi 23-jun-2011 17:55

Ni al principio, ni en dmesg pero he encontrado estoen el log de xorg.
http://pastebin.com/C85jwu58
(Siento tener que ponerlo todo pero es que no queria dejarme nada que pudiera ser importante).

DiabloRojo 23-jun-2011 19:06

Cita:

[ 27.403] (EE) fglrx(0): ACPI: DRM connection failed
[ 27.446] (EE) fglrx(0): ACPI: DRM connection failed
[ 27.772] (EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized.
[ 27.964] (EE) fglrx(0): XMM failed to open CMMQS connection.(EE) fglrx(0):
[ 27.964] (EE) fglrx(0): XMM failed to initialize
[ 28.896] (EE) fglrx(0): firegl_SetSuspendResumeState FAILED -9.

Existen varios errores. Prueba buscar por el texto de los errores en el forum de ATI o por Internet.

sheosi 24-jun-2011 02:34

Por fin!!! Lo que he hecho fue bajarmelos y compilarlos por mi mismo, eso después de haber quitado los anteriores. Luego me fui a /lib/modules/fglrx y ejecute el make_install.sh que hay allí ( todo esto lo dice el log de la instalación que el mismo programa te dice que revises) Lo que no he probado todavía es si funciona con el antiguo.


La franja horaria es GMT +2. Ahora son las 03:45.

Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.


Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!